Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004021 [JEDI VCL] 00 JVCL Components minor always 2006-12-15 09:56 2007-06-19 06:34
Reporter apierson View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0004021: TJvTimeItem Data Property
Description The Data property of TJvTimeItem lets assign some User Stuff. But there is no way to free the data structure (like in a OnDeletion Event of TListView).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0010503)
outchy (administrator)
2007-01-03 12:57

Could you describe a case where items are deleted from JVCL code?
(0010568)
apierson (reporter)
2007-01-19 10:11
edited on: 2007-01-19 10:15

When I create TJvTimeItem-Items in a TJvTimeLine then I can assign e.g. a self made record.

type
  TMyData = record
    stuff: string;
  end;
  PMyData = ^TMyData;
var
  P: PMyData;
begin
  New(P);
  with TimeLine.Items.Add do
  begin
    Data := P;
    Remove;
  end;
end;

In this example the record behind Data is not freed and there is not event triggered where I can call a Dispose(PMyData(Data)).

(0013429)
obones (administrator)
2007-06-19 06:33

I have added an OnDestroy event handler on TJvTimeItem, use this.

- Issue History
Date Modified Username Field Change
2006-12-15 09:56 apierson New Issue
2006-12-18 01:38 apierson Issue Monitored: apierson
2007-01-03 12:57 outchy Note Added: 0010503
2007-01-08 14:47 obones Status new => feedback
2007-01-19 10:11 apierson Note Added: 0010568
2007-01-19 10:15 apierson Note Edited: 0010568
2007-01-19 10:15 apierson Note Edited: 0010568
2007-06-19 06:33 obones Status feedback => resolved
2007-06-19 06:33 obones Fixed in Version => Daily / SVN
2007-06-19 06:33 obones Resolution open => fixed
2007-06-19 06:33 obones Assigned To => obones
2007-06-19 06:33 obones Note Added: 0013429


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker